Bug 95670 - ruby modules need restart to work properly after download from UC
ruby modules need restart to work properly after download from UC
Status: VERIFIED FIXED
Product: ruby
Classification: Unclassified
Component: Code
6.x
PC Linux
: P1 (vote)
: 6.x
Assigned To: Torbjorn Norbye
issues@ruby
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-15 13:23 UTC by Tomas Danek
Modified: 2007-07-03 14:46 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Danek 2007-02-15 13:23:32 UTC
NetBeans IDE Dev (Build 200702141900)
1.6.0; Java HotSpot(TM) Client VM 1.6.0-b105
Linux version 2.6.17-10-generic running on i386
cs_CZ (nb); UTF-8
------------------------------------------------------------------
- run mentioned build of NB
- Tools|Update center
- invoke add on ruby folder to add complete ruby support
- proceed with download, let modules install just to userdir  (i.e. not global)
- after modules are enabled (without restart), create ruby app
- indexing is not triggered - main.rb has no syntax coloring, CC does not work.
also notice that ruby files (nodes under project) are not badged with ruby icon.
- close ide, and run ide again
- window with some strange warning flashes and disappears, and now ruby support
starts to work.
Comment 1 Torbjorn Norbye 2007-02-16 00:28:31 UTC
Fixed.

Checking in ruby/editing/nbproject/project.properties;
/cvs/scripting/ruby/editing/nbproject/project.properties,v  <--  project.properties
new revision: 1.2; previous revision: 1.1
done
Checking in gsf/nbproject/project.properties;
/cvs/scripting/gsf/nbproject/project.properties,v  <--  project.properties
new revision: 1.6; previous revision: 1.5
done
Checking in ruby/projects/nbproject/project.properties;
/cvs/scripting/ruby/projects/nbproject/project.properties,v  <--  project.properties
new revision: 1.5; previous revision: 1.4
done
Checking in ruby/editing/manifest.mf;
/cvs/scripting/ruby/editing/manifest.mf,v  <--  manifest.mf
new revision: 1.4; previous revision: 1.3
done
Checking in gsf/api/manifest.mf;
/cvs/scripting/gsf/api/manifest.mf,v  <--  manifest.mf
new revision: 1.5; previous revision: 1.4
done
Comment 2 Tomas Danek 2007-02-22 14:47:11 UTC
restart is now needed, verified.
Comment 3 Jiri Kovalsky 2007-07-03 14:06:41 UTC
Reassigning this issue to newly created 'ruby' component.
Comment 4 Jiri Kovalsky 2007-07-03 14:46:38 UTC
Changing target milestone of all resolved Ruby issues from TBD to 6.0 Beta 1 build.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo